Skip to main content
GET
/
v1
/
pay
/
address
/
transactiondetail
transaction details on chain
curl --request GET \
  --url https://openplatform.gateapi.io/v1/pay/address/transactiondetail \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "prepayId": "40100646616043520",
    "merchantId": 10002,
    "merchantTradeNo": "9384029384092499",
    "transactionId": "1671522905110477",
    "goodsName": "",
    "currency": "BTC",
    "orderAmount": "212.999",
    "payCurrency": "BTC",
    "payAmount": "212.999",
    "status": "EXPIRED",
    "utcCreateTime": "2022-12-20 07:45:39",
    "utcExpireTime": "2022-12-20 07:55:00",
    "transactTime": 1671522905110,
    "order_name": "MiniApp-Payment-1#9384029384092499",
    "channelId": "123456",
    "transactionDetail": {
      "inTerm": {
        "done": {
          "amount": "100",
          "txList": [
            {
              "chain": "BTC",
              "address": "12eBREQqZFFDqgDfXkuBdzW2KBwhU8amPn",
              "fromAddress": "PAzupoupdSYaYoajDcABEUzigBRzewvzN",
              "fullCurrType": "BTC",
              "amount": "100",
              "txId": "dosajdajdiojawojdoiwajdojaefhs",
              "utcUpdateTime": "2022-12-19 11:50:00"
            }
          ]
        },
        "wait": {
          "amount": "99",
          "txList": [
            {
              "chain": "BTC",
              "address": "12eBREQqZFFDqgDfXkuBdzW2KBwhU8amPn",
              "fromAddress": "PAzupoupdSYaYoajDcABEUzigBRzewvzN",
              "fullCurrType": "BTC",
              "amount": "99",
              "txId": "dosajdajdiojawojdoiwajdojaikjs",
              "utcUpdateTime": "2022-12-19 11:50:00"
            }
          ]
        }
      },
      "outOfTerm": {
        "done": {
          "amount": "98",
          "txList": [
            {
              "chain": "BTC",
              "address": "12eBREQqZFFDqgDfXkuBdzW2KBwhU8amPn",
              "fromAddress": "PAzupoupdSYaYoajDcABEUzigBRzewvzN",
              "fullCurrType": "BTC",
              "amount": "98",
              "txId": "dosajdajdoakawojdoiwajdojaikjs",
              "utcUpdateTime": "2022-12-19 11:56:00"
            }
          ]
        },
        "wait": {
          "amount": "193",
          "txList": [
            {
              "chain": "BTC",
              "address": "12eBREQqZFFDqgDfXkuBdzW2KBwhU8amPn",
              "fromAddress": "PAzupoupdSYaYoajDcABEUzigBRzewvzN",
              "fullCurrType": "BTC",
              "amount": "97",
              "txId": "dosajdajdiojawolakiwajdojaikjs",
              "utcUpdateTime": "2022-12-19 11:56:00"
            },
            {
              "chain": "BTC",
              "address": "12eBREQqZFFDqgDfXkuBdzW2KBwhU8amPn",
              "fromAddress": "PAzupoupdSYaYoajDcABEUzigBRzewvzN",
              "fullCurrType": "BTC",
              "amount": "96",
              "txId": "dosajdajdiojawolakiwajdppaikjs",
              "utcUpdateTime": "2022-12-19 11:56:00"
            }
          ]
        }
      }
    }
  }
}
API description:Query the transaction details of the address direct payment order on the chain, including the direct payment record within the validity period and the payment record beyond the validity period.

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID, obtained from GatePay platform

X-GatePay-Signature
string
required

HMAC-SHA256 signature for request validation

X-GatePay-Timestamp
string
required

Timestamp in milliseconds, must not differ from server time by more than 5 minutes

X-GatePay-Nonce
string
required

Random nonce for replay attack prevention

Query Parameters

prepayId
string
required

The ID of the Address Payment prepayment order

Response

200 - application/json

Success

Response to request for querying on-chain transaction details

status
string
code
string
errorMessage
string
data
object